Bug 9353 - configure(waf) fails to detect cluster support if no system talloc lib is installed
configure(waf) fails to detect cluster support if no system talloc lib is ins...
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Build
4.0.0rc4
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 9349
  Show dependency treegraph
 
Reported: 2012-11-02 20:20 UTC by Michael Adam
Modified: 2012-11-06 10:08 UTC (History)
0 users

See Also:


Attachments
patch for v4-0-test (1.86 KB, patch)
2012-11-02 20:24 UTC, Michael Adam
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Adam 2012-11-02 20:20:28 UTC
If no system talloc library is installed, the configure checks for ctdb headers don't work in the waf build.
Comment 1 Michael Adam 2012-11-02 20:24:40 UTC
Created attachment 8144 [details]
patch for v4-0-test

Patchset from master, with additional bug# part in the commit message.
Comment 2 Michael Adam 2012-11-02 20:26:06 UTC
This patch is applied before that of bug #9349 in master.
Comment 3 Jeremy Allison 2012-11-02 22:11:58 UTC
Comment on attachment 8144 [details]
patch for v4-0-test

LGTM.
Comment 4 Michael Adam 2012-11-02 23:20:39 UTC
==> Karolin for inclusion into 4.0
Comment 5 Karolin Seeger 2012-11-05 10:29:42 UTC
Pushed to autobuild-v4-0-test.
Comment 6 Karolin Seeger 2012-11-06 10:08:12 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!